<template>
  <div class="wrapper about">
    <div class="inner" :class="{ ready }">
      <nuxt-content :document="about" class="content" />
      <p class="info">
        Malte Ludwig<br />
        +33 6 27 56 17 66<br />
        <a href="mailto:info@bureau-ludwig.fr">info@bureau-ludwig.fr</a>
      </p>
    </div>
  </div>
</template>

<script>
export default {
  transition(to, from) {
    if (!from) {
      return 'slide-left'
    }
    return 'slide-right'
  },
  async asyncData({ $content, params }) {
    const about = await $content('me').fetch()
    return { about }
  },
  data() {
    return {
      about: null,
      ready: null,
    }
  },
  mounted() {
    this.ready = true
  },
  methods: {},
}
</script>

<style lang="scss" scoped>
@import '~assets/scss/_mixins';
@import '~assets/scss/_vars';
@import '~assets/scss/_easings';

.wrapper.about {
  @apply w-screen min-h-screen  text-white font-sans  px-10 top-0;
  overflow-y: auto;
  background: black;

  .inner {
    @apply max-w-screen-md text-xs relative py-20 flex justify-center flex-col;
    // opacity: 0;
    &.ready {
      //   opacity: 1;
      //   transition: all 400ms $easeInOutQuad 4200ms;
    }
    p.info {
      @apply text-xl mb-10 mt-10;
    }
  }
}
</style>
